import 'package:flutter/cupertino.dart';
import 'package:get/get.dart';

import '../../../data/model/SysConfig.dart';
import '../../../network/api_service.dart';

class HomeController extends GetxController {
  //TODO: Implement HomeController

  var isLoading = true.obs;
  var sysConfig = SysConfig().obs;
  var errorMsg = ''.obs;

  Future<void> fetchSysConfig() async {
    try {
      isLoading.value = true;
      sysConfig.value = await ApiService().fetchSysConfig("/api/client/v3/getconfig");
      print(sysConfig.value.affurl);
    } catch (e) {
      errorMsg.value = e.toString();
    } finally {
      isLoading.value = false;
    }
  }

  final count = 0.obs;
  @override
  void onInit() {

    super.onInit();
    //fetchSysConfig();
  }

  @override
  void onReady() {
    super.onReady();
  }

  @override
  void onClose() {
    super.onClose();
  }

  void increment() => count.value++;
}
